Package org.eclipse.jdt.core.util

## Interface IExtendedAnnotationConstants

    public interface IExtendedAnnotationConstants

Description of an extended annotation target types constants as described in the JVM specifications (added in JavaSE-1.8).

Since:
  3.10
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `CAST`
`static int` `CLASS_EXTENDS`
`static int` `CLASS_TYPE_PARAMETER`
`static int` `CLASS_TYPE_PARAMETER_BOUND`
`static int` `CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT`
`static int` `CONSTRUCTOR_REFERENCE`
`static int` `CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT`
`static int` `EXCEPTION_PARAMETER`
`static int` `FIELD`
`static int` `INSTANCEOF`
`static int` `LOCAL_VARIABLE`
`static int` `METHOD_FORMAL_PARAMETER`
`static int` `METHOD_INVOCATION_TYPE_ARGUMENT`
`static int` `METHOD_RECEIVER`
`static int` `METHOD_REFERENCE`
`static int` `METHOD_REFERENCE_TYPE_ARGUMENT`
`static int` `METHOD_RETURN`
`static int` `METHOD_TYPE_PARAMETER`
`static int` `METHOD_TYPE_PARAMETER_BOUND`
`static int` `NEW`
`static int` `RESOURCE_VARIABLE`
`static int` `THROWS`
`static int` `TYPE_PATH_ANNOTATION_ON_WILDCARD_BOUND`
`static int` `TYPE_PATH_DEEPER_IN_ARRAY`
`static int` `TYPE_PATH_DEEPER_IN_INNER_TYPE`
`static int` `TYPE_PATH_TYPE_ARGUMENT_INDEX`

### Field Detail

#### CLASS_TYPE_PARAMETER

    static final int CLASS_TYPE_PARAMETER

See Also:
  Constant Field Values

#### METHOD_TYPE_PARAMETER

    static final int METHOD_TYPE_PARAMETER

See Also:
  Constant Field Values

#### CLASS_EXTENDS

    static final int CLASS_EXTENDS

See Also:
  Constant Field Values

#### CLASS_TYPE_PARAMETER_BOUND

    static final int CLASS_TYPE_PARAMETER_BOUND

See Also:
  Constant Field Values

#### METHOD_TYPE_PARAMETER_BOUND

    static final int METHOD_TYPE_PARAMETER_BOUND

See Also:
  Constant Field Values

#### FIELD

    static final int FIELD

See Also:
  Constant Field Values

#### METHOD_RETURN

    static final int METHOD_RETURN

See Also:
  Constant Field Values

#### METHOD_RECEIVER

    static final int METHOD_RECEIVER

See Also:
  Constant Field Values

#### METHOD_FORMAL_PARAMETER

    static final int METHOD_FORMAL_PARAMETER

See Also:
  Constant Field Values

#### THROWS

    static final int THROWS

See Also:
  Constant Field Values

#### LOCAL_VARIABLE

    static final int LOCAL_VARIABLE

See Also:
  Constant Field Values

#### RESOURCE_VARIABLE

    static final int RESOURCE_VARIABLE

See Also:
  Constant Field Values

#### EXCEPTION_PARAMETER

    static final int EXCEPTION_PARAMETER

See Also:
  Constant Field Values

#### INSTANCEOF

    static final int INSTANCEOF

See Also:
  Constant Field Values

#### NEW

    static final int NEW

See Also:
  Constant Field Values

#### CONSTRUCTOR_REFERENCE

    static final int CONSTRUCTOR_REFERENCE

See Also:
  Constant Field Values

#### METHOD_REFERENCE

    static final int METHOD_REFERENCE

See Also:
  Constant Field Values

#### CAST

    static final int CAST

See Also:
  Constant Field Values

#### CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT

    static final int CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT

See Also:
  Constant Field Values

#### METHOD_INVOCATION_TYPE_ARGUMENT

    static final int METHOD_INVOCATION_TYPE_ARGUMENT

See Also:
  Constant Field Values

#### CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT

    static final int CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT

See Also:
  Constant Field Values

#### METHOD_REFERENCE_TYPE_ARGUMENT

    static final int METHOD_REFERENCE_TYPE_ARGUMENT

See Also:
  Constant Field Values

#### TYPE_PATH_DEEPER_IN_ARRAY

    static final int TYPE_PATH_DEEPER_IN_ARRAY

See Also:
  Constant Field Values

#### TYPE_PATH_DEEPER_IN_INNER_TYPE

    static final int TYPE_PATH_DEEPER_IN_INNER_TYPE

See Also:
  Constant Field Values

#### TYPE_PATH_ANNOTATION_ON_WILDCARD_BOUND

    static final int TYPE_PATH_ANNOTATION_ON_WILDCARD_BOUND

See Also:
  Constant Field Values

#### TYPE_PATH_TYPE_ARGUMENT_INDEX

    static final int TYPE_PATH_TYPE_ARGUMENT_INDEX

See Also:
  Constant Field Values